<div class="custom-input">
    <label [for]="labelFor">{{labelFor}}</label>
    <input [(ngModel)]="value"
     (ngModelChange)="onChange($event)"
      name="someInput" 
      [type]="type" [placeholder]="placeholder"  >
</div>
